Class | Ohcount::Gestalt::XmlKeywordRule
In: | lib/gestalt/rules/xml_keyword_rule.rb
Parent: | KeywordRule

### Methods

new trigger_file?

### Public Class methods

new(*keywords)

[Source]

    # File lib/gestalt/rules/xml_keyword_rule.rb, line 5
                            def initialize(*keywords)
                                    super('xml',*keywords)
                            end

### Public Instance methods

trigger_file?(source_file)

[Source]

    # File lib/gestalt/rules/xml_keyword_rule.rb, line 9
                            def trigger_file?(source_file)
                                    return false unless source_file.polyglot = 'xml'
                                    regexp.match(source_file.language_breakdowns('xml').code)
                            end

[Validate]